# Get Latest Forecast as of Bid Close

Pull ERCOT load forecasts by forecast zone as they were available at the 10:00 AM day-ahead bid close, then calculate daily maximums.

## Get hourly forecasts as of bid close

```python
hourly = client.get_dataset(
    "ercot_load_forecast_by_forecast_zone",
    start="2026-05-01",
    end="2026-05-08",
    publish_time="latest_before:-1 day@10:00:00",
    timezone="market",
)

print(hourly.head())
```

For each operating interval, `latest_before:-1 day@10:00:00` selects the latest forecast published at or before 10:00 AM market time on the prior day.

## Calculate daily maximums

```python
daily_max = client.get_dataset(
    "ercot_load_forecast_by_forecast_zone",
    start="2026-04-01",
    end="2026-05-01",
    publish_time="latest_before:-1 day@10:00:00",
    timezone="market",
    resample="1 day",
    resample_function="max",
)

print(daily_max.head())
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gridstatus.io/developers/concepts/recipes/ercot-day-ahead-load-forecast-cutoff.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
